Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.message
Class ExpireMessageBase.Entry

    java.lang.Object
      de.knipp.rritoolkit.message.ExpireMessageBase.Entry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ExpireMessageBase

    public static class ExpireMessageBase.Entry

extends java.lang.Object
implements java.io.Serializable

class that holds the domain name as well as the expiration date

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `domainName` the domain name
`private java.lang.String` | `encodedDomainName` the encoded domain name
`private java.util.Date` | `expirationDate` the expiration date

Constructor Summary
`ExpireMessageBase.Entry(java.lang.String theDomainName, java.lang.String theEncodedDomainName, java.util.Date theExpirationDate)` constructor

Method Summary
`java.lang.String` | `getDomainName()` return the domain name
`java.lang.String` | `getEncodedDomainName()` return the encoded domain name
`java.util.Date` | `getExpirationDate()` return the expiration date

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domainName

    private java.lang.String domainName

  the domain name

### encodedDomainName

    private java.lang.String encodedDomainName

  the encoded domain name

### expirationDate

    private java.util.Date expirationDate

  the expiration date

Constructor Detail

### ExpireMessageBase.Entry

    ExpireMessageBase.Entry(java.lang.String theDomainName,
                            java.lang.String theEncodedDomainName,
                            java.util.Date theExpirationDate)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name
    `theExpirationDate` - the expiration date

Method Detail

### getDomainName

    public java.lang.String getDomainName()

  return the domain name

  Returns:
    the domain name

### getEncodedDomainName

    public java.lang.String getEncodedDomainName()

  return the encoded domain name

  Returns:
    the encoded domain name

### getExpirationDate

    public java.util.Date getExpirationDate()

  return the expiration date

  Returns:
    the date

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH